<script setup lang="ts">
import { useReceiptStore } from '@/stores/receipt'
import { computed, ref } from 'vue'
const receiptStore = useReceiptStore()
const div = ref<HTMLElement | null>(null)

const scrollToBottom = () => {
  div.value!.scrollTo(0, div.value!.scrollHeight)
}
const props = withDefaults(
  defineProps<{
    editable: boolean
  }>(),
  { editable: true }
)
defineExpose({
  scrollToBottom
})
</script>

<template>
  <v-table>
    <thead>
      <tr>
        <th>#</th>
        <th>ชื่อ</th>
        <th>ราคา</th>
        <th>จำนวน</th>
        <th>ขนาด</th>
        <th>หมวดหมู่</th>
        <th>ความหวาน</th>
        <th>รวม</th>
        <th></th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="(item, index) of receiptStore.receiptItems" :key="index">
        <td>{{ index + 1 }}</td>
        <td>{{ item.name }}</td>
        <td>{{ item.price }}</td>
        <td>
          <v-btn v-if="props.editable === true" size="small" density="compact" icon="mdi-minus" @click="() => {
        receiptStore.dec(item)
      }
        "></v-btn>
          {{ item.unit }}
          <v-btn size="small" density="compact" icon="mdi-plus" @click="() => {
        receiptStore.inc(item)
      }
        "></v-btn>
        </td>
        <td>{{ item.size }}</td>
        <td>{{ item.type }}</td>
        <td>{{ item.sweet }}</td>
        <td>{{ item.price * item.unit }}</td>
        <td>
          <v-btn v-if="props.editable === true" density="compact" icon="mdi-delete" @click="() => {
        receiptStore.removeItem(item)
      }
        "></v-btn>
        </td>
      </tr>
    </tbody>
  </v-table>
</template>

<style scoped>
/* .v-table {
  background-color: #dec6ae;
  border-bottom-left-radius: 15px;
  border-bottom-right-radius: 15px;
  text-decoration: none;
}

th {
  color: white;
  background-color: #ab9283;
}

tr:nth-child(even) {
  background-color: #fff9ef;
} */

.v-sheet {
  background-color: #fff5e8;
}

.v-sheet,
.v-card {
  border-bottom-left-radius: 15px;
  border-bottom-right-radius: 15px;
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
  text-decoration: none;
}

.v-toolbar {
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
  text-decoration: none;
  background-color: #ab9283;
}

.v-toolbar-title {
  font-weight: bold;
  font-size: 24px;
  color: white;
}

.v-table {
  border-bottom-left-radius: 15px;
  border-bottom-right-radius: 15px;
  text-decoration: none;
  background-color: #fff5e8;
}
</style>
